summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@redhat.com>2019-11-27 16:13:06 +0100
committerNikos Mavrogiannopoulos <nmav@redhat.com>2019-11-27 16:13:32 +0100
commit94a4d8af92d4f4ee9c97d3559bf2d4c452c71269 (patch)
treeaceecdae319fc0e8ef6586276571be33c3c2727f
parentb754ea635be382e2ccd9f5fcca89b35eff305c1c (diff)
downloadgnutls-94a4d8af92d4f4ee9c97d3559bf2d4c452c71269.tar.gz
Revert "tests: ignore datefudge-check check when running on command line"
This commit was breaking CI on FreeBSD systems. This reverts commit 1fe4f8e289d666979618fbb909983ac05aad11ac. Signed-off-by: Nikos Mavrogiannopoulos <nmav@redhat.com>
-rw-r--r--tests/scripts/common.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/scripts/common.sh b/tests/scripts/common.sh
index 4c7d12cf62..95f8a5298e 100644
--- a/tests/scripts/common.sh
+++ b/tests/scripts/common.sh
@@ -74,13 +74,13 @@ GETPORT='
check_for_datefudge() {
# On certain platforms running datefudge date fails (e.g., x86 datefudge
# with x86-64 date app).
- if test "${SKIP_DATEFUDGE_CHECK}" = 1 || test -z "${top_builddir}";then
+ if test "${SKIP_DATEFUDGE_CHECK}" = 1;then
return
fi
- TSTAMP=`datefudge -s "2006-09-23" "${top_builddir}/tests/datefudge-check"`
+ TSTAMP=`datefudge -s "2006-09-23" "${top_builddir}/tests/datefudge-check" || true`
if test "$TSTAMP" != "1158969600" || test "$WINDOWS" = 1; then
- echo "timestamp: ${TSTAMP}"
+ echo $TSTAMP
echo "You need datefudge to run this test"
exit 77
fi